unit filedlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls;

type
  TFileDialog = class(TForm)
    FileListView: TListView;
    ViewStyleComboBox: TComboBox;
    procedure ViewStyleComboBoxChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FileDialog: TFileDialog;

implementation

{$R *.DFM}

procedure TFileDialog.ViewStyleComboBoxChange(Sender: TObject);
begin
  FileListView.ViewStyle := TViewStyle(ViewStyleComboBox.ItemIndex);  
end;

procedure TFileDialog.FormCreate(Sender: TObject);
begin
  ViewStyleComboBox.ItemIndex := 3;
end;

end.
